Package jakarta.security.auth.message.callback

## Class CallerPrincipalCallback

- java.lang.Object
- - jakarta.security.auth.message.callback.CallerPrincipalCallback

All Implemented Interfaces:
  `javax.security.auth.callback.Callback`

    public class CallerPrincipalCallback
    extends java.lang.Object
    implements javax.security.auth.callback.Callback

Callback that enables an authentication module to inform the runtime of the call principal or name of the caller principal.

### Constructor Summary

Constructors
`CallerPrincipalCallback​(javax.security.auth.Subject subject, java.lang.String name)`
`CallerPrincipalCallback​(javax.security.auth.Subject subject, java.security.Principal principal)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()`
`java.security.Principal` `getPrincipal()`
`javax.security.auth.Subject` `getSubject()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CallerPrincipalCallback

    public CallerPrincipalCallback​(javax.security.auth.Subject subject,
                                   java.security.Principal principal)

#### CallerPrincipalCallback

    public CallerPrincipalCallback​(javax.security.auth.Subject subject,
                                   java.lang.String name)

### Method Detail

#### getSubject

    public javax.security.auth.Subject getSubject()

#### getPrincipal

    public java.security.Principal getPrincipal()

#### getName

    public java.lang.String getName()